Bug 1883614 - [OCP 4.6] [UI] UI should not describe power cycle as "graceful" [NEEDINFO]
Summary: [OCP 4.6] [UI] UI should not describe power cycle as "graceful"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Metal3 Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jiri Tomasek
QA Contact: Yanping Zhang
URL:
Whiteboard:
: 1883622 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 17:35 UTC by mlammon
Modified: 2021-02-24 15:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:21:17 UTC
Target Upstream Version:
mlammon: needinfo? (jtomasek)
mlammon: needinfo? (shardy)


Attachments (Terms of Use)
login screen (40.62 KB, image/png)
2020-09-29 17:36 UTC, mlammon
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7765 0 None closed Bug 1883614: Warn user when restarting BMH 2021-01-27 09:09:37 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:21:38 UTC

Description mlammon 2020-09-29 17:35:23 UTC
Description of problem:
Restarting a node does not move console pod(s) before it finished restart of node (PowerOff, Start).  As a result UI console kicks user out
(see attachment)

Version-Release number of selected component (if applicable):
Cluster version is 4.6.0-fc.8

How reproducible:
100%

Steps to Reproduce:
1. Install OCP 4.6
2. Compute-BMH->master-0-2<3 button kebab>-Restart
3. Popover invoked - Restart Bare Metal Host
The message:
"The bare metal host <node> will be restarted gracefully after all managed workloads are moved."

Actual results:
We see "Restart pending"
Console pods are one example which do not get moved prior to the node doing its PowerOff & Start
This is not graceful and wonder how many other workloads are not being moved

Expected results:
Expect console pod to move prior to restart

Additional info:
master-0-2 is restarted in this example

Before restart
# oc get pods -o wide -n openshift-console
NAME                         READY   STATUS    RESTARTS   AGE     IP            NODE         NOMINATED NODE   READINESS GATES
console-676f59b7fb-67ggv     1/1     Running   0          3h46m   10.128.0.16   master-0-2   <none>           <none>
console-676f59b7fb-rqm57     1/1     Running   0          142m    10.129.0.34   master-0-1   <none>           <none>
downloads-6ddcb844f4-f7r9x   1/1     Running   0          3h46m   10.128.0.20   master-0-2   <none>           <none>
downloads-6ddcb844f4-whkdg   1/1     Running   0          4h      10.128.2.5    worker-0-0   <none>           <none>

At time of Poweroff/Restart
# oc get pods -o wide -n openshift-console
NAME                         READY   STATUS    RESTARTS   AGE     IP            NODE         NOMINATED NODE   READINESS GATES
console-676f59b7fb-67ggv     1/1     Running   0          3h48m   10.128.0.16   master-0-2   <none>           <none>
console-676f59b7fb-rqm57     1/1     Running   0          144m    10.129.0.34   master-0-1   <none>           <none>
downloads-6ddcb844f4-f7r9x   1/1     Running   0          3h48m   10.128.0.20   master-0-2   <none>           <none>
downloads-6ddcb844f4-whkdg   1/1     Running   0          4h2m    10.128.2.5    worker-0-0   <none>           <none>

Comment 1 mlammon 2020-09-29 17:36:52 UTC
Created attachment 1717592 [details]
login screen

Comment 2 Steven Hardy 2020-10-01 14:07:43 UTC
> 3. Popover invoked - Restart Bare Metal Host
> "The bare metal host <node> will be restarted gracefully after all managed workloads are moved."

After some discussion it seems this message is misleading, any reboot of a BMH is *not* a graceful restart, it's a force power off/on via the BMC, triggered via the 'reboot.metal3.io' annotation on the host

That was implemented via https://github.com/metal3-io/baremetal-operator/pull/424 and it doesn't care about workloads at all.

Probably we need to update the UI to make this clearer, that this is a potentially disruptive action that should be approached with caution.

Comment 3 Steven Hardy 2020-10-01 14:11:25 UTC
*** Bug 1883622 has been marked as a duplicate of this bug. ***

Comment 4 mlammon 2020-10-07 19:55:04 UTC
I have retested this today using virtual environment (4.6.0-rc.0) as well as on real Bare Metal (4.6.0-fc.8) which are recent stable images.
I am no longer seeing the issue and at this time will close it.  I will re-open if seen again.

Comment 5 mlammon 2020-10-23 18:17:31 UTC
I think this was closed in error.  It should still be resolved as mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1883614#c2
Please advise if we should still fix in 4.7 with new message

Comment 7 Andy Braren 2021-01-11 05:57:04 UTC
PR: https://github.com/openshift/console/pull/7765

Comment 9 Yadan Pei 2021-01-27 09:22:12 UTC
Now the message for 'Restart' action is:

The host will be powered off and on again.

Applications may be temporarily disrupted.
Workloads currently running on this host will not be moved before restarting. This may cause service disruptions.

I think the message now are more readable and reasonable

Moving to VERIFIED, let me know if this is wrong

This is checked against 4.7.0-0.nightly-2021-01-27-002938

Comment 12 errata-xmlrpc 2021-02-24 15:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.